Skip to content
Dashboard

Delete a ticket

DELETE/v2/tickets/{id}

Permanently deletes a ticket by its ticket number.

Path Parameters

  • id - The ticket number

Response

Returns a deletion confirmation:

{
  "id": "507f1f77bcf86cd799439011",
  "object": "ticket",
  "deleted": true
}

Behavior

  • Customer-facing tickets: Deletes the ticket and its linked conversation.
  • Back-office / tracker tickets: Deletes the ticket and unlinks it from the conversation (conversation is preserved).

Caution

This operation is irreversible.

Path ParametersExpand Collapse
id: number
minimum1
Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
id: string

Unique identifier of the deleted ticket

deleted: true

Indicates the resource was deleted

object: "ticket"

Object type identifier

Delete a ticket

curl https://do.featurebase.app/v2/tickets/$ID \
    -X DELETE \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "ticket"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "ticket"
}